activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From pfconrey <peter.con...@hilton.com>
Subject Can't Start ActiveMQ after Upgrade from 5.10 to 5.11
Date Wed, 29 Apr 2015 17:38:53 GMT
We have been using 5.10 with Shared File System Master Slave configuration,
but when we upgraded to 5.11, the server would not stay running. The error
we are getting is:

/Exception encountered during context initialization - cancelling refresh
attempt | org.apache.activemq.xbean.XBeanBrokerFactory$1 | main
org.springframework.beans.factory.BeanCreationException: Error creating bean
with name 'org.apache.activemq.xbean.XBeanBrokerService#0' defined in class
path resource [activemq.xml]: Invocation of init method failed; nested
exception is java.lang.IllegalArgumentException: Invalid destination name: a
non-empty name is required/

Our config points the kahaDB directory as follows:

<persistenceAdapter>
  <kahaDB directory="/qdata/hmx"/>
</persistenceAdapter>

/qdata being a shared SAN drive.

Any idea what I could be missing?



--
View this message in context: http://activemq.2283324.n4.nabble.com/Can-t-Start-ActiveMQ-after-Upgrade-from-5-10-to-5-11-tp4695913.html
Sent from the ActiveMQ - User mailing list archive at Nabble.com.

Mime
View raw message